osl::rating::Group Class Reference

mutually exclusive set of features More...

`#include <group.h>`

Inheritance diagram for osl::rating::Group:

## Public Member Functions

| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
virtual void | show (std::ostream &, int name_width, const range_t &range, const std::vector< double > &weights) const
virtual int | findMatch (const NumEffectState &state, Move m, const RatingEnv &env) const
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const
virtual bool | effectiveInCheck () const

## Public Attributes

std::string | group_name

## Detailed Description

mutually exclusive set of features

Definition at line 16 of file group.h.

## Constructor & Destructor Documentation

## Group() [1/2]

osl::rating::Group::Group | ( | const std::string & | name | ) |

Definition at line 15 of file group.cc.

References group_name.

Referenced by osl::rating::AttackKing8Group::AttackKing8Group(), osl::rating::BadLanceGroup::BadLanceGroup(), osl::rating::BigramAttackGroup::BigramAttackGroup(), osl::rating::BlockGroup::BlockGroup(), osl::rating::CaptureGroup::CaptureGroup(), osl::rating::ChaseGroup::ChaseGroup(), osl::rating::CheckGroup::CheckGroup(), osl::rating::CheckmateIfCaptureGroup::CheckmateIfCaptureGroup(), osl::rating::ContinueCaptureGroup::ContinueCaptureGroup(), osl::rating::DefenseKing8Group::DefenseKing8Group(), osl::rating::DropCapturedGroup::DropCapturedGroup(), osl::rating::EscapePinGroup::EscapePinGroup(), osl::rating::FromEffectGroup::FromEffectGroup(), osl::rating::ImmediateAddSupportGroup::ImmediateAddSupportGroup(), osl::rating::ImmediateEscapeGroup::ImmediateEscapeGroup(), osl::rating::KaranariGroup::KaranariGroup(), osl::rating::KingEscapeGroup::KingEscapeGroup(), osl::rating::OpenGroup::OpenGroup(), osl::rating::PatternBlockGroup::PatternBlockGroup(), osl::rating::PatternGroup::PatternGroup(), osl::rating::PatternLongGroup::PatternLongGroup(), osl::rating::PatternLongGroup2::PatternLongGroup2(), osl::rating::PawnAttackGroup::PawnAttackGroup(), osl::rating::PinGroup::PinGroup(), osl::rating::PtypeAttackedGroup::PtypeAttackedGroup(), osl::rating::RelativeKingXGroup::RelativeKingXGroup(), osl::rating::RelativeKingYGroup::RelativeKingYGroup(), osl::rating::SendOffGroup::SendOffGroup(), osl::rating::ShadowEffectGroup::ShadowEffectGroup(), osl::rating::SquareXGroup::SquareXGroup(), osl::rating::SquareYGroup::SquareYGroup(), osl::rating::TakeBackGroup::TakeBackGroup(), osl::rating::ThreatmateGroup::ThreatmateGroup(), and osl::rating::ToSupportedGroup::ToSupportedGroup().

## Group() [2/2]

osl::rating::Group::Group | ( | Feature * | f | ) |

inline

Definition at line 22 of file group.h.

References group_name.

## ~Group()

osl::rating::Group::~Group | ( |  | ) |

virtual

Definition at line 20 of file group.cc.

## Member Function Documentation

## effectiveInCheck()

virtual bool osl::rating::Group::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented in osl::rating::AttackKing8Group, osl::rating::BlockGroup, osl::rating::CaptureGroup, osl::rating::CheckGroup, osl::rating::FromEffectGroup, osl::rating::KingEscapeGroup, osl::rating::OpenGroup, osl::rating::PatternGroup, osl::rating::PatternLongGroup2, osl::rating::PatternLongGroup, osl::rating::PtypeAttackedGroup, osl::rating::RelativeKingXGroup, osl::rating::RelativeKingYGroup, osl::rating::SquareXGroup, osl::rating::SquareYGroup, osl::rating::TakeBackGroup, and osl::rating::ToSupportedGroup.

Definition at line 39 of file group.h.

Referenced by osl::rating::FeatureSet::addCommon().

## findMatch()

int osl::rating::Group::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

virtual

Returns
  -1 if not found

Reimplemented in osl::rating::AttackKing8Group, osl::rating::BadLanceGroup, osl::rating::BigramAttackGroup, osl::rating::BlockGroup, osl::rating::CaptureGroup, osl::rating::ChaseGroup, osl::rating::CheckGroup, osl::rating::CheckmateIfCaptureGroup, osl::rating::ContinueCaptureGroup, osl::rating::DefenseKing8Group, osl::rating::DropCapturedGroup, osl::rating::EscapePinGroup, osl::rating::FromEffectGroup, osl::rating::ImmediateAddSupportGroup, osl::rating::ImmediateEscapeGroup, osl::rating::KaranariGroup, osl::rating::KingEscapeGroup, osl::rating::OpenGroup, osl::rating::PatternBlockGroup, osl::rating::PatternGroup, osl::rating::PatternLongGroup2, osl::rating::PatternLongGroup, osl::rating::PawnAttackGroup, osl::rating::PinGroup, osl::rating::PtypeAttackedGroup, osl::rating::RelativeKingXGroup, osl::rating::RelativeKingYGroup, osl::rating::SendOffGroup, osl::rating::ShadowEffectGroup, osl::rating::SquareXGroup, osl::rating::SquareYGroup, osl::rating::TakeBackGroup, osl::rating::ThreatmateGroup, and osl::rating::ToSupportedGroup.

Definition at line 24 of file group.cc.

## load()

bool osl::rating::Group::load | ( | const std::string & | directory,
|  | const range_t & | range,
|  | std::vector< double > & | weights ) const

Definition at line 47 of file group.cc.

References group_name.

## saveResult()

void osl::rating::Group::saveResult | ( | const std::string & | directory,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

Definition at line 33 of file group.cc.

References group_name.

## show()

void osl::rating::Group::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

virtual

Reimplemented in osl::rating::AttackKing8Group, osl::rating::BadLanceGroup, osl::rating::BigramAttackGroup, osl::rating::BlockGroup, osl::rating::CaptureGroup, osl::rating::ChaseGroup, osl::rating::CheckGroup, osl::rating::CheckmateIfCaptureGroup, osl::rating::ContinueCaptureGroup, osl::rating::DefenseKing8Group, osl::rating::DropCapturedGroup, osl::rating::EscapePinGroup, osl::rating::FromEffectGroup, osl::rating::ImmediateAddSupportGroup, osl::rating::ImmediateEscapeGroup, osl::rating::KaranariGroup, osl::rating::KingEscapeGroup, osl::rating::OpenGroup, osl::rating::PatternBlockGroup, osl::rating::PatternGroup, osl::rating::PatternLongGroup2, osl::rating::PatternLongGroup, osl::rating::PawnAttackGroup, osl::rating::PinGroup, osl::rating::PtypeAttackedGroup, osl::rating::RelativeKingXGroup, osl::rating::RelativeKingYGroup, osl::rating::SendOffGroup, osl::rating::ShadowEffectGroup, osl::rating::SquareXGroup, osl::rating::SquareYGroup, osl::rating::TakeBackGroup, osl::rating::ThreatmateGroup, and osl::rating::ToSupportedGroup.

Definition at line 62 of file group.cc.

## showAll()

void osl::rating::Group::showAll | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

Definition at line 74 of file group.cc.

References showMinMax().

Referenced by osl::rating::BadLanceGroup::show(), osl::rating::BlockGroup::show(), osl::rating::CaptureGroup::show(), osl::rating::CheckGroup::show(), osl::rating::CheckmateIfCaptureGroup::show(), osl::rating::ContinueCaptureGroup::show(), osl::rating::KaranariGroup::show(), osl::rating::KingEscapeGroup::show(), osl::rating::PawnAttackGroup::show(), osl::rating::SendOffGroup::show(), osl::rating::ShadowEffectGroup::show(), osl::rating::TakeBackGroup::show(), osl::rating::ThreatmateGroup::show(), osl::rating::ToSupportedGroup::show(), and showTopN().

## showMinMax()

void osl::rating::Group::showMinMax | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

Definition at line 85 of file group.cc.

References group_name.

Referenced by showAll(), and showTopN().

## showTopN()

void osl::rating::Group::showTopN | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights,
|  | int | n ) const

Definition at line 100 of file group.cc.

References showAll(), and showMinMax().

Referenced by osl::rating::AttackKing8Group::show(), osl::rating::BigramAttackGroup::show(), osl::rating::ChaseGroup::show(), osl::rating::DefenseKing8Group::show(), osl::rating::DropCapturedGroup::show(), osl::rating::EscapePinGroup::show(), osl::rating::FromEffectGroup::show(), osl::rating::ImmediateAddSupportGroup::show(), osl::rating::ImmediateEscapeGroup::show(), osl::rating::OpenGroup::show(), osl::rating::PatternBlockGroup::show(), osl::rating::PatternGroup::show(), osl::rating::PatternLongGroup2::show(), osl::rating::PatternLongGroup::show(), osl::rating::PinGroup::show(), osl::rating::PtypeAttackedGroup::show(), osl::rating::RelativeKingXGroup::show(), osl::rating::RelativeKingYGroup::show(), osl::rating::SquareXGroup::show(), and osl::rating::SquareYGroup::show().

## Member Data Documentation

## group_name

std::string osl::rating::Group::group_name

Definition at line 19 of file group.h.

Referenced by Group(), Group(), load(), saveResult(), and showMinMax().

The documentation for this class was generated from the following files:

- group.h
- group.cc